Main Page | Modules | Class List | File List | Class Members | File Members

# Decode

## Functions
bool | CxImage::Decode (BYTE *buffer, DWORD size, DWORD imagetype)
bool | CxImage::Decode (CxFile *hFile, DWORD imagetype)
bool | CxImage::Decode (FILE *hFile, DWORD imagetype)
bool | CxImage::Load (const TCHAR *filename, DWORD imagetype=0)
bool | CxImage::LoadResource (HRSRC hRes, DWORD imagetype, HMODULE hModule=NULL)

## Function Documentation

bool CxImage::Decode | ( | BYTE * | buffer,
|  | DWORD | size,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Loads an image from memory buffer Parameters:
  | buffer: | memory buffer
  | size: | size of buffer
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS
Returns: true if everything is ok

bool CxImage::Decode | ( | CxFile * | hFile,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Loads an image from CxFile object Parameters:
  | hFile: | file handle (implemented using CxMemFile or CxIOFile), with read access.
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS
Returns: true if everything is ok See also: ENUM_CXIMAGE_FORMATS

bool CxImage::Decode | ( | FILE * | hFile,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Loads an image from file handle. Parameters:
  | hFile: | file handle, with read access.
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS
Returns: true if everything is ok

bool CxImage::Load | ( | const TCHAR * | filename,
|  | DWORD | imagetype = `0`
| ) | `[inherited]`

  | Reads from disk the image in a specific format. If decoding fails using the specified image format, the function will try the automatic file format recognition. Parameters:
  | filename: | file name
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS
Returns: true if everything is ok

bool CxImage::LoadResource | ( | HRSRC | hRes,
|  | DWORD | imagetype,
|  | HMODULE | hModule = `NULL`
| ) | `[inherited]`

  | Loads an image from the application resources. Parameters:
  | hRes: | the resource handle returned by FindResource().
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS.
  | hModule: | NULL for internal resource, or external application/DLL hinstance returned by LoadLibray.
Returns: true if everything is ok